Arc sine

- « acosh

- asinh »

- PHP Manual
- Math Functions
- Arc sine

# asin

(PHP 4, PHP 5, PHP 7, PHP 8)

asin — Arc sine

### Description

asin(float `$num`): float

Returns the arc sine of `num` in radians. asin() is the inverse function of sin(), which means that `$num == sin(asin($num))` for every value of `num` that is in the domain of asin().

### Parameters

`num`

  The argument to process

### Return Values

The arc sine of `num` in radians

### See Also

- sin() - Sine
- asinh() - Inverse hyperbolic sine
- acos() - Arc cosine
- atan() - Arc tangent